Page MenuHomePhabricator

enable sitelinks on Wikidata for Wiktionary pages outside main namespace (phase 1)
Closed, ResolvedPublic

Description

Once Cognate extension was deployed to production, the usual Wikidata Phase 1 can be enabled for Wiktionary. This will allow to create interwiki links for those pages that would not be connected through the new component, such as non-mainnamespace pages and pages like https://en.wiktionary.org/wiki/Unsupported_titles/Full_stop.

Note: an abuse filter should be used to prevent unneeded item creation.

As announced on Project Chat, we plan to deploy on June 20. (deployment slot at 22:00 UTC)

https://www.wikidata.org/wiki/Wikidata:Project_chat/Archive/2017/06#Enable_Wiktionary_sitelinks_in_Wikidata

Related Objects

StatusAssignedTask
ResolvedLydia_Pintscher
ResolvedLydia_Pintscher
ResolvedLydia_Pintscher
OpenNone
Resolvedaude
ResolvedAddshore
ResolvedAddshore
Resolvedjcrespo
ResolvedAddshore
ResolvedAddshore
ResolvedBawolff
ResolvedAddshore
ResolvedAddshore
ResolvedAddshore
ResolvedAddshore
ResolvedAddshore
DuplicateWMDE-leszek
ResolvedWMDE-leszek
ResolvedAddshore
ResolvedAddshore
ResolvedAddshore
ResolvedAddshore
ResolvedAddshore
ResolvedAddshore
ResolvedAddshore
ResolvedMarostegui
ResolvedAddshore
ResolvedAddshore
Resolvedaude
ResolvedNone
OpenNone

Event Timeline

Restricted Application added a subscriber: Aklapper. · View Herald TranscriptFeb 16 2017, 4:18 PM
Lydia_Pintscher renamed this task from Enable phase 1 for Wiktionary to enable sitelinks on Wikidata for Wiktionary pages outside main namespace (phase 1).Mar 6 2017, 1:37 PM

See some examples about what the community would like

Change 357531 had a related patch set uploaded (by Aude; owner: Aude):
[mediawiki/extensions/WikimediaMessages@master] Add i18n messages for wiktionary (non-main namespace) Wikidata site links

https://gerrit.wikimedia.org/r/357531

Change 357532 had a related patch set uploaded (by Aude; owner: Aude):
[operations/mediawiki-config@master] Enable sitelinks on Wikidata for Wiktionary pages outside main namespace (for beta)

https://gerrit.wikimedia.org/r/357532

Change 357533 had a related patch set uploaded (by Aude; owner: Aude):
[operations/mediawiki-config@master] Enable Wikibase Client on beta wiktionary sites

https://gerrit.wikimedia.org/r/357533

Change 357531 merged by jenkins-bot:
[mediawiki/extensions/WikimediaMessages@master] Add i18n messages for wiktionary (non-main namespace) Wikidata site links

https://gerrit.wikimedia.org/r/357531

Change 357532 merged by jenkins-bot:
[operations/mediawiki-config@master] Enable sitelinks on Wikidata for Wiktionary pages outside main namespace (for beta)

https://gerrit.wikimedia.org/r/357532

Mentioned in SAL (#wikimedia-operations) [2017-06-07T12:26:04Z] <aude@tin> Synchronized wmf-config/Wikibase.php: Site links for non-main namespace wiktionary pages T158323 (duration: 00m 43s)

Change 357533 merged by jenkins-bot:
[operations/mediawiki-config@master] Enable Wikibase Client on beta wiktionary sites

https://gerrit.wikimedia.org/r/357533

Mentioned in SAL (#wikimedia-operations) [2017-06-07T12:40:10Z] <aude@tin> Synchronized wmf-config/InitialiseSettings-labs.php: Enable Wikibase Client on beta wiktionary sites T158323 (duration: 00m 43s)

Change 360336 had a related patch set uploaded (by Aude; owner: Aude):
[operations/mediawiki-config@master] Enable sitelinks on Wikidata for Wiktionary pages outside main namespace (phase 1)

https://gerrit.wikimedia.org/r/360336

aude updated the task description. (Show Details)Jun 20 2017, 1:59 PM

FYI the deployment was announced on Wiktionaries and Wikidata on June 1st https://www.wikidata.org/wiki/Wikidata:Project_chat/Archive/2017/06#Enable_Wiktionary_sitelinks_in_Wikidata

And the main documentation page is there https://www.wikidata.org/wiki/Wikidata:Wiktionary/Sitelinks
(I will update it from future to present as soon as the thing is deployed live)

Change 360336 merged by jenkins-bot:
[operations/mediawiki-config@master] Enable sitelinks on Wikidata for Wiktionary pages outside main namespace (phase 1)

https://gerrit.wikimedia.org/r/360336

aude closed this task as Resolved.Jun 20 2017, 11:09 PM
aude claimed this task.
aude removed a project: Patch-For-Review.

done.

https://www.wikidata.org/wiki/Q4115189

everything looks ok and see no issues in the logs.

(except the other projects sidebar appears in all namespaces on wiktionary, despite the setting to exclude namespaces)

Daniel_Carrero reopened this task as Open.Jun 24 2017, 3:21 AM
Lydia_Pintscher closed this task as Resolved.Jun 26 2017, 1:55 PM
Lydia_Pintscher added a subscriber: Lydia_Pintscher.

@Daniel_Carrero: That needs to be solved in Cognate. The ticket for that is T166765.